Kwalitee Issues

No Core Issues.

meta_yml_declares_perl_version

If you are using Build.PL define the {requires}{perl} = VERSION field. If you are using MakeMaker (Makefile.PL) you should upgrade ExtUtils::MakeMaker to 6.48 and use MIN_PERL_VERSION parameter. Perl::MinimumVersion can help you determine which version of Perl your module needs.

build_prereq_matches_use

List all modules used in the test suite in META.yml build_requires

Error:

  • Test::Spelling

meta_yml_has_provides

Add all modules contained in this distribution to the META.yml field 'provides'. Module::Build or Dist::Zilla::Plugin::MetaProvides do this automatically for you.

Modules

Name Abstract Version View
Antispam::Toolkit Classes, roles, and types for use by other Antispam modules 0.08 metacpan
Antispam::Toolkit::Result Represents the result of a spam check 0.08 metacpan
Antispam::Toolkit::Role::BerkeleyDB A role for classes which store spam check data in a BerkeleyDB file 0.08 metacpan
Antispam::Toolkit::Role::ContentChecker A role for classes which check whether a piece of content is spam 0.08 metacpan
Antispam::Toolkit::Role::Database An interface-only role for classes store and match values 0.08 metacpan
Antispam::Toolkit::Role::EmailChecker A role for classes which check whether an email is associated with spam 0.08 metacpan
Antispam::Toolkit::Role::IPChecker A role for classes which check whether an ip address is associated with spam 0.08 metacpan
Antispam::Toolkit::Role::URIChecker A role for classes which check whether a uri is spam 0.08 metacpan
Antispam::Toolkit::Role::UsernameChecker A role for classes which check whether an username is associated with spam 0.08 metacpan
Antispam::Toolkit::Types Types for use by Antispam modules 0.08 metacpan
Antispam::Toolkit::Types::Internal 0.08 metacpan

Other Files

Changes metacpan
MANIFEST metacpan
META.json metacpan
META.yml metacpan
Makefile.PL metacpan
README metacpan
dist.ini metacpan